Classic environment v2
- Reference
Documentation of the Dynatrace Environment API v2. Resources here generally supersede those in v1. Migration of resources from v1 is in progress.
If you miss a resource, consider using the Dynatrace Environment API v1.
To read about use cases and examples, see Dynatrace Documentation.
Notes about compatibility:
- Operations marked as early adopter or preview may be changed in non-compatible ways, although we try to avoid this.
- We may add new enum constants without incrementing the API version; thus, clients need to handle unknown enum constants gracefully.
npm install @dynatrace-sdk/client-classic-environment-v2
accessTokensActiveGateTokensClient
import { accessTokensActiveGateTokensClient } from '@dynatrace-sdk/client-classic-environment-v2';
createToken
Creates a new ActiveGate token
One of the following scopes is required:
- environment-api:activegate-tokens:create
- environment-api:activegate-tokens:write
- fleet-management:activegate.tokens:create
- fleet-management:activegate.tokens:write
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegate.tokens:write
The newly created token will be owned by the same user who owns the token used for authentication of the call.
Parameters
| Name | Type |
|---|---|
| config.body*required | ActiveGateTokenCreate |
Returns
| Return type | Status code | Description |
|---|---|---|
| ActiveGateTokenCreated | 201 | Success. The token has been created. The body of the response contains the token secret. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { accessTokensActiveGateTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensActiveGateTokensClient.createToken({
body: {
activeGateType: "ENVIRONMENT",
name: "myToken",
},
});
getToken
Gets metadata of an ActiveGate token
One of the following scopes is required:
- environment-api:activegate-tokens:read
- fleet-management:activegate.tokens:read
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegate.tokens:read
The token secret is not exposed.
Parameters
| Name | Type | Description |
|---|---|---|
| config.activeGateTokenIdentifier*required | string | The ActiveGate token identifier, consisting of prefix and public part of the token. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ActiveGateToken | 200 | Success. The response contains the metadata of the tokens. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { accessTokensActiveGateTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensActiveGateTokensClient.getToken({
activeGateTokenIdentifier: "...",
});
listTokens
Lists all available ActiveGate tokens
One of the following scopes is required:
- environment-api:activegate-tokens:read
- fleet-management:activegate.tokens:read
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegate.tokens:read
You can limit the output by using pagination:
- Specify the number of results per page in the pageSize query parameter.
- Use the cursor from the nextPageKey field of the previous response in the nextPageKey query parameter to obtain subsequent pages.
Parameters
| Name | Type | Description |
|---|---|---|
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of ActiveGate tokens in a single response payload. The maximal allowed page size is 3000 and the minimal size is 100. If not set, 100 is used. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ActiveGateTokenList | 200 | Success. The response contains the list of ActiveGate tokens. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { accessTokensActiveGateTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensActiveGateTokensClient.listTokens();
revokeToken
Deletes an ActiveGate token
One of the following scopes is required:
- environment-api:activegate-tokens:write
- fleet-management:activegate.tokens:write
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegate.tokens:write
Parameters
| Name | Type | Description |
|---|---|---|
| config.activeGateTokenIdentifier*required | string | The ActiveGate token identifier, consisting of prefix and public part of the token to be deleted. |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { accessTokensActiveGateTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensActiveGateTokensClient.revokeToken({
activeGateTokenIdentifier: "...",
});
accessTokensAgentTokensClient
import { accessTokensAgentTokensClient } from '@dynatrace-sdk/client-classic-environment-v2';
getAgentConnectionToken
Gets the agent connection token | maturity=EARLY_ADOPTER
One of the following scopes is required:
- environment-api:agent-connection-tokens:read
- fleet-management:oneagent.tokens:read
One of the following permissions is required:
- environment:roles:agent-install
- fleet-management:oneagent.tokens:read
Returns the agent connection token.
Returns
| Return type | Status code | Description |
|---|---|---|
| AgentConnectionToken | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { accessTokensAgentTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensAgentTokensClient.getAgentConnectionToken();
accessTokensApiTokensClient
import { accessTokensApiTokensClient } from '@dynatrace-sdk/client-classic-environment-v2';
createApiToken
⚠️ Deprecated
Creates a new API token
One of the following scopes is required:
- environment-api:api-tokens:write
- api-tokens:tokens:write
One of the following permissions is required:
- environment:roles:viewer
- api-tokens:tokens:write
The newly created token will be owned by the same user who owns the token used for authentication of the call.
Creating personal access tokens requires the environment:roles:viewer permission. Creating access tokens requires the environment:roles:manage-settings permission.
Parameters
| Name | Type |
|---|---|
| config.body*required | ApiTokenCreate |
Returns
| Return type | Status code | Description |
|---|---|---|
| ApiTokenCreated | 201 | Success. The token has been created. The body of the response contains the token secret. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { accessTokensApiTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensApiTokensClient.createApiToken({
body: { name: "tokenName", scopes: ["metrics.read"] },
});
deleteApiToken
⚠️ Deprecated
Deletes an API token
One of the following scopes is required:
- environment-api:api-tokens:write
- api-tokens:tokens:write
One of the following permissions is required:
- environment:roles:viewer
- api-tokens:tokens:write
Parameters
| Name | Type | Description |
|---|---|---|
| config.id*required | string | The ID of the token to be deleted. You can specify either the ID or the secret of the token. You can't delete the token you're using for authentication of the request. |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. You can't delete the token you're using for authentication of the request. | Client side error. | Server side error. |
Code example
import { accessTokensApiTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensApiTokensClient.deleteApiToken({
id: "...",
});
getApiToken
⚠️ Deprecated
Gets API token metadata by token ID
One of the following scopes is required:
- environment-api:api-tokens:read
- api-tokens:tokens:read
One of the following permissions is required:
- environment:roles:viewer
- api-tokens:tokens:read
The token secret is not exposed.
Parameters
| Name | Type |
|---|---|
| config.id*required | string |
Returns
| Return type | Status code | Description |
|---|---|---|
| ApiToken | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { accessTokensApiTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await accessTokensApiTokensClient.getApiToken({
id: "...",
});
listApiTokens
⚠️ Deprecated
Lists all available API tokens
One of the following scopes is required:
- environment-api:api-tokens:read
- api-tokens:tokens:read
One of the following permissions is required:
- environment:roles:viewer
- api-tokens:tokens:read
You can limit the output by using pagination:
- Specify the number of results per page in the pageSize query parameter.
- Use the cursor from the nextPageKey field of the previous response in the nextPageKey query parameter to obtain subsequent pages.
Parameters
| Name | Type | Description |
|---|---|---|
| config.apiTokenSelector | string | Filters the resulting sets of tokens. Only tokens matching the specified criteria are included into response. You can set one or more of the following criteria:
To set multiple criteria, separate them with commas ( |
| config.fields | string | Specifies the fields to be included in the response. The following fields are included by default:
To remove fields from the response, specify them with the minus ( You can include additional fields:
To add fields to the response, specify them with the plus ( Alternatively, you can define the desired set of fields in the response. Specify the required fields as a comma-separated list, without operators (for example, The fields string must be URL-encoded. |
| config.from | string | Filters tokens based on the last usage time. The start of the requested timeframe. You can use one of the following formats:
|
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of API tokens in a single response payload. The maximal allowed page size is 10000 and the minimal allowed page size is 100. If not set, 200 is used. |
| config.sort | string | The sort order of the token list. You can sort by the following properties with a sign prefix for the sort order:
If no prefix is set, + is used. If not set, tokens are sorted by creation date with newest first. Default: -creationDate |
| config.to | string | Filters tokens based on the last usage time. The end of the requested timeframe. You can use one of the following formats:
If not set, the current timestamp is used. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ApiTokenList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { accessTokensApiTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensApiTokensClient.listApiTokens();
lookupApiToken
⚠️ Deprecated
Gets API token metadata by token secret
One of the following scopes is required:
- environment-api:api-tokens:read
- api-tokens:tokens:read
One of the following permissions is required:
- environment:roles:viewer
- api-tokens:tokens:read
Parameters
| Name | Type |
|---|---|
| config.body*required | ApiTokenSecret |
Returns
| Return type | Status code | Description |
|---|---|---|
| ApiToken | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { accessTokensApiTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensApiTokensClient.lookupApiToken({
body: {
token:
"dt0c01.ST2EY72KQINMH574WMNVI7YN.G3DFPBEJYMODIDAEX454M7YWBUVEFOWKPRVMWFASS64NFH52PX6BNDVFFM572RZM",
},
});
updateApiToken
⚠️ Deprecated
Updates an API token
One of the following scopes is required:
- environment-api:api-tokens:write
- api-tokens:tokens:write
One of the following permissions is required:
- environment:roles:viewer
- api-tokens:tokens:write
Parameters
| Name | Type | Description |
|---|---|---|
| config.body*required | ApiTokenUpdate | |
| config.id*required | string | The ID of the token to be updated. You can't disable the token you're using for authentication of the request. |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { accessTokensApiTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensApiTokensClient.updateApiToken({
id: "...",
body: {},
});
accessTokensTenantTokensClient
import { accessTokensTenantTokensClient } from '@dynatrace-sdk/client-classic-environment-v2';
cancelRotation
Cancels tenant token rotation
One of the following scopes is required:
- environment-api:tenant-token-rotation:write
- fleet-management:tenant-token:rotate
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:tenant-token:rotate
To learn how to rotate tokens, see Token rotation in Dynatrace Documentation.
Returns
| Return type | Status code | Description |
|---|---|---|
| TenantTokenConfig | 200 | Success. Rotation process has been cancelled. The current tenant token remains valid. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. There is no ongoing rotation process. | Client side error. | Server side error. |
Code example
import { accessTokensTenantTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensTenantTokensClient.cancelRotation();
finishRotation
Finishes tenant token rotation
One of the following scopes is required:
- environment-api:tenant-token-rotation:write
- fleet-management:tenant-token:rotate
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:tenant-token:rotate
To learn how to rotate tokens, see Token rotation in Dynatrace Documentation.
Returns
| Return type | Status code | Description |
|---|---|---|
| TenantTokenConfig | 200 | Success. The rotation process is completed. The active field of the response contains the new tenant token. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | No ongoing rotation process. | Client side error. | Server side error. |
Code example
import { accessTokensTenantTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensTenantTokensClient.finishRotation();
getRotationStatus
Gets tenant token rotation status
One of the following scopes is required:
- environment-api:tenant-token-rotation:write
- fleet-management:tenant-token:rotate
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:tenant-token:rotate
To learn how to rotate tokens, see Token rotation in Dynatrace Documentation.
Returns
| Return type | Status code | Description |
|---|---|---|
| TenantTokenRotationStatus | 200 | Success. Returns rotation status. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. Tenant token configuration is unavailable. | Client side error. | Server side error. |
Code example
import { accessTokensTenantTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensTenantTokensClient.getRotationStatus();
startRotation
Starts tenant token rotation
One of the following scopes is required:
- environment-api:tenant-token-rotation:write
- fleet-management:tenant-token:rotate
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:tenant-token:rotate
To learn how to rotate tokens, see Token rotation in Dynatrace Documentation.
Returns
| Return type | Status code | Description |
|---|---|---|
| TenantTokenConfig | 200 | Success. The new tenant token is created and will replace the old one. The active field of the response contains the new tenant token. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. Another rotation process is already in progress. | Client side error. | Server side error. |
Code example
import { accessTokensTenantTokensClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await accessTokensTenantTokensClient.startRotation();
activeGatesActiveGateGroupsClient
import { activeGatesActiveGateGroupsClient } from '@dynatrace-sdk/client-classic-environment-v2';
getActiveGateGroups
⚠️ Deprecated
Lists ActiveGate groups
One of the following scopes is required:
- environment-api:activegates:read
- fleet-management:activegates:read
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:read
Deprecated since version 1.343. Use DQL Smartscape nodes to query ActiveGate data instead. See https://dt-url.net/mf03894
Returns
| Return type | Status code | Description |
|---|---|---|
| ActiveGateGroups | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { activeGatesActiveGateGroupsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesActiveGateGroupsClient.getActiveGateGroups();
activeGatesActiveGateTokensEnforcementClient
import { activeGatesActiveGateTokensEnforcementClient } from '@dynatrace-sdk/client-classic-environment-v2';
getTokenEnforcement
Gets the status of ActiveGate tokens enforcement
Required scope: fleet-management:activegates:read One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:read
Returns
| Return type | Status code | Description |
|---|---|---|
| ActiveGateTokenEnforcement | 200 | Success. The response contains the status of ActiveGate tokens enforcement |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { activeGatesActiveGateTokensEnforcementClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesActiveGateTokensEnforcementClient.getTokenEnforcement();
activeGatesAutoUpdateConfigurationClient
import { activeGatesAutoUpdateConfigurationClient } from '@dynatrace-sdk/client-classic-environment-v2';
getAutoUpdateConfigById
⚠️ Deprecated
Gets the configuration of auto-update for the specified ActiveGate
One of the following scopes is required:
- environment-api:activegates:read
- fleet-management:activegates:read
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:read
Gets the configuration of auto-update for the specified ActiveGate
Deprecation notice: This endpoint is deprecated. Use the Settings API endpoint GET /api/v2/settings/objects with schemaId builtin:deployment.activegate.updates and scopes=ENVIRONMENT_ACTIVE_GATE-{ActiveGate ID} to retrieve the auto-update setting of a specific ActiveGate.
Parameters
| Name | Type | Description |
|---|---|---|
| config.agId*required | string | The ID of the required ActiveGate. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ActiveGateAutoUpdateConfig | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Not found. See response body for details. | Client side error. | Server side error. |
Code example
import { activeGatesAutoUpdateConfigurationClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesAutoUpdateConfigurationClient.getAutoUpdateConfigById(
{ agId: "..." },
);
getGlobalAutoUpdateConfigForTenant
⚠️ Deprecated
Gets the global auto-update configuration of environment ActiveGates.
One of the following scopes is required:
- environment-api:activegates:read
- fleet-management:activegates:read
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:read
Gets the global auto-update configuration of environment ActiveGates.
Deprecation notice: This endpoint is deprecated. Use the Settings API endpoint GET /api/v2/settings/objects with schemaId builtin:deployment.activegate.updates and scopes=tenant to retrieve the global auto-update setting of environment ActiveGates.
Returns
| Return type | Status code | Description |
|---|---|---|
| ActiveGateGlobalAutoUpdateConfig | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { activeGatesAutoUpdateConfigurationClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesAutoUpdateConfigurationClient.getGlobalAutoUpdateConfigForTenant();
putAutoUpdateConfigById
⚠️ Deprecated
Updates the configuration of auto-update for the specified ActiveGate
One of the following scopes is required:
- environment-api:activegates:write
- fleet-management:activegates:write
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:write
Updates the configuration of auto-update for the specified ActiveGate
Deprecation notice: This endpoint is deprecated. Use the Settings API endpoint POST /api/v2/settings/objects with schemaId builtin:deployment.activegate.updates and scope=ENVIRONMENT_ACTIVE_GATE-{ActiveGate ID} to change the auto-update setting of a specific ActiveGate.
Parameters
| Name | Type | Description |
|---|---|---|
| config.agId*required | string | The ID of the required ActiveGate. |
| config.body*required | ActiveGateAutoUpdateConfig |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. The auto-update configuration have been updated. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { activeGatesAutoUpdateConfigurationClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesAutoUpdateConfigurationClient.putAutoUpdateConfigById(
{
agId: "...",
body: {
setting: "INHERITED",
updateWindows: {
windows: [
{
id: "vu9U3hXa3q0AAAABADdkeW5hdHJhY2Uuc2V0dGluZ3MuZGVwbG95bWVudC5tYW5h",
},
],
},
},
},
);
putGlobalAutoUpdateConfigForTenant
⚠️ Deprecated
Puts the global auto-update configuration of environment ActiveGates.
One of the following scopes is required:
- environment-api:activegates:write
- fleet-management:activegates:write
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:write
Puts the global auto-update configuration of environment ActiveGates.
Deprecation notice: This endpoint is deprecated. Use the Settings API endpoint POST /api/v2/settings/objects with schemaId builtin:deployment.activegate.updates and scope=tenant to change the global auto-update setting of environment ActiveGates.
Parameters
| Name | Type |
|---|---|
| config.body*required | ActiveGateGlobalAutoUpdateConfig |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. The global auto-update configuration have been updated. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { activeGatesAutoUpdateConfigurationClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesAutoUpdateConfigurationClient.putGlobalAutoUpdateConfigForTenant(
{
body: {
globalSetting: "ENABLED",
updateWindows: {
windows: [
{
id: "vu9U3hXa3q0AAAABADdkeW5hdHJhY2Uuc2V0dGluZ3MuZGVwbG95bWVudC5tYW5h",
},
],
},
},
},
);
validateAutoUpdateConfigById
⚠️ Deprecated
Validates the payload for the POST /activeGates/{agId}/autoUpdate request.
One of the following scopes is required:
- environment-api:activegates:write
- fleet-management:activegates:write
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:write
Validates the payload for the POST /activeGates/{agId}/autoUpdate request.
Deprecation notice: This endpoint is deprecated. Use the Settings API endpoint POST /api/v2/settings/objects?validateOnly=true with schemaId builtin:deployment.activegate.updates and scope=ENVIRONMENT_ACTIVE_GATE-{ActiveGate ID} to validate the auto-update setting of a specific ActiveGate.
Parameters
| Name | Type | Description |
|---|---|---|
| config.agId*required | string | The ID of the required ActiveGate. |
| config.body*required | ActiveGateAutoUpdateConfig |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Validated. The submitted auto-update configuration is valid. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { activeGatesAutoUpdateConfigurationClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesAutoUpdateConfigurationClient.validateAutoUpdateConfigById(
{
agId: "...",
body: {
setting: "INHERITED",
updateWindows: {
windows: [
{
id: "vu9U3hXa3q0AAAABADdkeW5hdHJhY2Uuc2V0dGluZ3MuZGVwbG95bWVudC5tYW5h",
},
],
},
},
},
);
validateGlobalAutoUpdateConfigForTenant
⚠️ Deprecated
Validates the payload for the POST /activeGates/autoUpdate request.
One of the following scopes is required:
- environment-api:activegates:write
- fleet-management:activegates:write
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:write
Validates the payload for the POST /activeGates/autoUpdate request.
Deprecation notice: This endpoint is deprecated. Use the Settings API endpoint POST /api/v2/settings/objects?validateOnly=true with schemaId builtin:deployment.activegate.updates and scope=tenant to validate the global auto-update setting of environment ActiveGates.
Parameters
| Name | Type |
|---|---|
| config.body*required | ActiveGateGlobalAutoUpdateConfig |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Validated. The submitted configuration is valid. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { activeGatesAutoUpdateConfigurationClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesAutoUpdateConfigurationClient.validateGlobalAutoUpdateConfigForTenant(
{
body: {
globalSetting: "ENABLED",
updateWindows: {
windows: [
{
id: "vu9U3hXa3q0AAAABADdkeW5hdHJhY2Uuc2V0dGluZ3MuZGVwbG95bWVudC5tYW5h",
},
],
},
},
},
);
activeGatesAutoUpdateJobsClient
import { activeGatesAutoUpdateJobsClient } from '@dynatrace-sdk/client-classic-environment-v2';
createUpdateJobForAg
Creates a new update job for the specified ActiveGate
One of the following scopes is required:
- environment-api:activegates:write
- fleet-management:activegates:write
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:write
Parameters
| Name | Type | Description |
|---|---|---|
| config.agId*required | string | The ID of the required ActiveGate. |
| config.body*required | UpdateJob |
Returns
| Return type | Status code | Description |
|---|---|---|
| UpdateJob | 201 | Success. The update-job have been created. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { activeGatesAutoUpdateJobsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesAutoUpdateJobsClient.createUpdateJobForAg(
{
agId: "...",
body: { targetVersion: "1.190.0.20200301-130000" },
},
);
deleteUpdateJobByJobIdForAg
Deletes the specified update job
One of the following scopes is required:
- environment-api:activegates:write
- fleet-management:activegates:write
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:write
Parameters
| Name | Type | Description |
|---|---|---|
| config.agId*required | string | The ID of the required ActiveGate. |
| config.jobId*required | string | A unique identifier for a update-job of ActiveGate. |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. The update-job have been deleted. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Not found. See response body for details. | Client side error. | Server side error. |
Code example
import { activeGatesAutoUpdateJobsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesAutoUpdateJobsClient.deleteUpdateJobByJobIdForAg(
{ agId: "...", jobId: "..." },
);
getAllUpdateJobList
List ActiveGates with update jobs
One of the following scopes is required:
- environment-api:activegates:read
- fleet-management:activegates:read
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:read
The response includes ActiveGates that have both completed (successful and failed) jobs and jobs in progress.
Parameters
| Name | Type | Description |
|---|---|---|
| config.from | string | The start of the requested timeframe for update jobs. You can use one of the following formats:
If not set, the relative timeframe of one day is used ( Maximum timeframe is 31 days. |
| config.lastUpdates | boolean | If true, filters the resulting set of update jobs to the most recent update of each type.Default: false |
| config.startVersion | string | Filters the resulting set of update-jobs by the initial version (required format <major>.<minor>.<revision>). |
| config.startVersionCompareType | "EQUAL" | "GREATER" | "GREATER_EQUAL" | "LOWER" | "LOWER_EQUAL" | Filters the resulting set of update jobs by the specified initial version. Specify the comparison operator here. |
| config.targetVersion | string | Filters the resulting set of update-jobs by the target version (required format <major>.<minor>.<revision>). |
| config.targetVersionCompareType | "EQUAL" | "GREATER" | "GREATER_EQUAL" | "LOWER" | "LOWER_EQUAL" | Filters the resulting set of update jobs by the specified target version. Specify the comparison operator here. |
| config.to | string | The end of the requested timeframe for update jobs. You can use one of the following formats:
If not set, the current timestamp is used. |
| config.updateType | "SYNTHETIC" | "ACTIVE_GATE" | "REMOTE_PLUGIN_AGENT" | "Z_REMOTE" | Filters the resulting set of update-jobs by the update type. Example: ACTIVE_GATE |
Returns
| Return type | Status code | Description |
|---|---|---|
| UpdateJobsAll | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { activeGatesAutoUpdateJobsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesAutoUpdateJobsClient.getAllUpdateJobList();
getUpdateJobByJobIdForAg
Gets the parameters of the specified update job
One of the following scopes is required:
- environment-api:activegates:read
- fleet-management:activegates:read
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.agId*required | string | The ID of the required ActiveGate. |
| config.jobId*required | string | A unique identifier for a update-job of ActiveGate. |
Returns
| Return type | Status code | Description |
|---|---|---|
| UpdateJob | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Not found. See response body for details. | Client side error. | Server side error. |
Code example
import { activeGatesAutoUpdateJobsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesAutoUpdateJobsClient.getUpdateJobByJobIdForAg(
{ agId: "...", jobId: "..." },
);
getUpdateJobListByAgId
Lists update jobs for the specified ActiveGate
One of the following scopes is required:
- environment-api:activegates:read
- fleet-management:activegates:read
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:read
The job can update the ActiveGate to the specified version or the latest available one.
Parameters
| Name | Type | Description |
|---|---|---|
| config.agId*required | string | The ID of the required ActiveGate. |
| config.from | string | The start of the requested timeframe for update jobs. You can use one of the following formats:
If not set, the relative timeframe of one week is used ( Maximum timeframe is 31 days. |
| config.lastUpdates | boolean | If true, filters the resulting set of update jobs to the most recent update of each type.Default: false |
| config.startVersion | string | Filters the resulting set of update-jobs by the initial version (required format <major>.<minor>.<revision>). |
| config.startVersionCompareType | "EQUAL" | "GREATER" | "GREATER_EQUAL" | "LOWER" | "LOWER_EQUAL" | Filters the resulting set of update jobs by the specified initial version. Specify the comparison operator here. |
| config.targetVersion | string | Filters the resulting set of update-jobs by the target version (required format <major>.<minor>.<revision>). |
| config.targetVersionCompareType | "EQUAL" | "GREATER" | "GREATER_EQUAL" | "LOWER" | "LOWER_EQUAL" | Filters the resulting set of update jobs by the specified target version. Specify the comparison operator here. |
| config.to | string | The end of the requested timeframe for update jobs. You can use one of the following formats:
If not set, the current timestamp is used. |
| config.updateType | "SYNTHETIC" | "ACTIVE_GATE" | "REMOTE_PLUGIN_AGENT" | "Z_REMOTE" | Filters the resulting set of update-jobs by the update type. Example: ACTIVE_GATE |
Returns
| Return type | Status code | Description |
|---|---|---|
| UpdateJobList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Not found. See response body for details. | Client side error. | Server side error. |
Code example
import { activeGatesAutoUpdateJobsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesAutoUpdateJobsClient.getUpdateJobListByAgId(
{ agId: "..." },
);
validateUpdateJobForAg
Validates the payload for the POST /activeGates/{agId}/updateJobs request.
One of the following scopes is required:
- environment-api:activegates:write
- fleet-management:activegates:write
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:write
Parameters
| Name | Type | Description |
|---|---|---|
| config.agId*required | string | The ID of the required ActiveGate. |
| config.body*required | UpdateJob |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Validated. The submitted update-job is valid. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { activeGatesAutoUpdateJobsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesAutoUpdateJobsClient.validateUpdateJobForAg(
{
agId: "...",
body: { targetVersion: "1.190.0.20200301-130000" },
},
);
activeGatesClient
import { activeGatesClient } from '@dynatrace-sdk/client-classic-environment-v2';
getAllActiveGates
⚠️ Deprecated
Lists all available ActiveGates
One of the following scopes is required:
- environment-api:activegates:read
- fleet-management:activegates:read
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:read
The response includes all ActiveGates that are currently connected to the environment or have been connected during last 2 hours. Deprecated since version 1.343. Use DQL Smartscape nodes to query ActiveGate data instead. See https://dt-url.net/mf03894
Parameters
| Name | Type | Description |
|---|---|---|
| config.autoUpdate | "ENABLED" | "DISABLED" | Filters the resulting set of ActiveGates by the actual state of auto-update. |
| config.containerized | boolean | Filters the resulting set of ActiveGates to those which are running in container (true) or not (false). |
| config.disabledModule | Array<"SYNTHETIC" | "AWS" | "AZURE" | "BEACON_FORWARDER" | "CLOUD_FOUNDRY" | "DB_INSIGHT" | "DEBUGGING" | "EXTENSIONS_V1" | "EXTENSIONS_V2" | "KUBERNETES" | "LOGS" | "MEMORY_DUMPS" | "METRIC_API" | "ONE_AGENT_ROUTING" | "OTLP_INGEST" | "REST_API" | "VMWARE" | "Z_OS"> | Filters the resulting set of ActiveGates by the disabled modules. |
| config.enabledModule | Array<"SYNTHETIC" | "AWS" | "AZURE" | "BEACON_FORWARDER" | "CLOUD_FOUNDRY" | "DB_INSIGHT" | "DEBUGGING" | "EXTENSIONS_V1" | "EXTENSIONS_V2" | "KUBERNETES" | "LOGS" | "MEMORY_DUMPS" | "METRIC_API" | "ONE_AGENT_ROUTING" | "OTLP_INGEST" | "REST_API" | "VMWARE" | "Z_OS"> | Filters the resulting set of ActiveGates by the enabled modules. |
| config.fipsMode | boolean | Filters the resulting set of ActiveGates to those which are running in FIPS mode (true) or not (false). |
| config.group | string | Filters the resulting set of ActiveGates by the group. You can specify a partial name. In that case, the |
| config.hostname | string | Filters the resulting set of ActiveGates by the name of the host it's running on. You can specify a partial name. In that case, the |
| config.loadBalancerAddress | string | Filters the resulting set of ActiveGates by the Load Balancer address. You can specify a partial address. In that case, the |
| config.networkAddress | string | Filters the resulting set of ActiveGates by the network address. You can specify a partial address. In that case, the |
| config.networkZone | string | Filters the resulting set of ActiveGates by the network zone. You can specify a partial name. In that case, the |
| config.online | boolean | Filters the resulting set of ActiveGates by the communication status. |
| config.osArchitecture | "S390" | "X86" | "ARM" | "PPCLE" | Filters the resulting set of ActiveGates by the OS architecture of the host it's running on. |
| config.osType | "LINUX" | "WINDOWS" | Filters the resulting set of ActiveGates by the OS type of the host it's running on. |
| config.tokenExpirationSet | boolean | Filters the resulting set of ActiveGates to those with set expiration date for authorization token. |
| config.tokenState | "UNKNOWN" | "ABSENT" | "EXPIRING" | "INVALID" | "UNSUPPORTED" | "VALID" | Filters the resulting set of ActiveGates to those with authorization token in specified state. |
| config.type | "ENVIRONMENT" | "ENVIRONMENT_MULTI" | Filters the resulting set of ActiveGates by the ActiveGate type. |
| config.updateStatus | "UNKNOWN" | "INCOMPATIBLE" | "OUTDATED" | "SCHEDULED" | "SUPPRESSED" | "UP2DATE" | "UPDATE_IN_PROGRESS" | "UPDATE_PENDING" | "UPDATE_PROBLEM" | Filters the resulting set of ActiveGates by the auto-update status. |
| config.version | string | Filters the resulting set of ActiveGates by the specified version. Specify the version in |
| config.versionCompareType | "EQUAL" | "GREATER" | "GREATER_EQUAL" | "LOWER" | "LOWER_EQUAL" | Filters the resulting set of ActiveGates by the specified version. Specify the comparison operator here. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ActiveGateList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { activeGatesClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await activeGatesClient.getAllActiveGates();
getOneActiveGateById
⚠️ Deprecated
Gets the details of the specified ActiveGate
One of the following scopes is required:
- environment-api:activegates:read
- fleet-management:activegates:read
One of the following permissions is required:
- environment:roles:manage-settings
- fleet-management:activegates:read
Deprecated since version 1.343. Use DQL Smartscape nodes to query ActiveGate data instead. See https://dt-url.net/mf03894
Parameters
| Name | Type | Description |
|---|---|---|
| config.agId*required | string | The ID of the required ActiveGate. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ActiveGate | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Not found. See response body for details. | Client side error. | Server side error. |
Code example
import { activeGatesClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await activeGatesClient.getOneActiveGateById({
agId: "...",
});
activeGatesRemoteConfigurationManagementClient
import { activeGatesRemoteConfigurationManagementClient } from '@dynatrace-sdk/client-classic-environment-v2';
createRemoteIdentityOperationJob
Creates a new remote configuration management job
Required scope: fleet-management:activegates:write One of the following permissions is required:
- environment:roles:viewer
- fleet-management:activegates:write
Parameters
| Name | Type |
|---|---|
| config.body*required | RemoteConfigurationManagementOperationActiveGateRequest |
Returns
| Return type | Status code | Description |
|---|---|---|
| RemoteConfigurationManagementJob | 201 | Created |
Throws
| Error Type | Error Message |
|---|---|
| RemoteConfigurationManagementValidationResultError | Failed. The input is invalid. |
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { activeGatesRemoteConfigurationManagementClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesRemoteConfigurationManagementClient.createRemoteIdentityOperationJob(
{
body: {
entities: ["0x2b7c0b02,0x4928065d"],
operations: [
{ attribute: "networkZone", operation: "set" },
],
},
},
);
createRemoteIdentityOperationPreview
Creates a preview for remote configuration management job - applicable only to network zone and ActiveGate group
Required scope: fleet-management:activegates:write One of the following permissions is required:
- environment:roles:viewer
- fleet-management:activegates:write
Parameters
| Name | Type |
|---|---|
| config.body*required | RemoteConfigurationManagementOperationActiveGateRequest |
Returns
| Return type | Status code | Description |
|---|---|---|
| RemoteConfigurationManagementPreviewList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| RemoteConfigurationManagementValidationResultError | Failed. The input is invalid. |
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { activeGatesRemoteConfigurationManagementClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesRemoteConfigurationManagementClient.createRemoteIdentityOperationPreview(
{
body: {
entities: ["0x2b7c0b02,0x4928065d"],
operations: [
{ attribute: "networkZone", operation: "set" },
],
},
},
);
getCurrentRemoteIdentityOperationJob
Gets remote configuration management job that is currently running
Required scope: fleet-management:activegates:read One of the following permissions is required:
- environment:roles:viewer
- fleet-management:activegates:read
The currently running remote configuration management job may be related to ActiveGates or OneAgents. There is a limit of one concurrent remote configuration management job, regardless of the entity type.
Returns
| Return type | Status code | Description |
|---|---|---|
| RemoteConfigurationManagementJob | 200 | Success |
| void | 204 | No remote configuration management job is currently running |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { activeGatesRemoteConfigurationManagementClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesRemoteConfigurationManagementClient.getCurrentRemoteIdentityOperationJob();
getRemoteIdentityOperationJob
Gets the specified remote configuration management job
Required scope: fleet-management:activegates:read One of the following permissions is required:
- environment:roles:viewer
- fleet-management:activegates:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.id*required | string | The ID of the required remote configuration management job. |
Returns
| Return type | Status code | Description |
|---|---|---|
| RemoteConfigurationManagementJob | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { activeGatesRemoteConfigurationManagementClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesRemoteConfigurationManagementClient.getRemoteIdentityOperationJob(
{ id: "..." },
);
getRemoteIdentityOperations
Lists finished ActiveGate remote configuration management jobs
Required scope: fleet-management:activegates:read One of the following permissions is required:
- environment:roles:viewer
- fleet-management:activegates:read
The response includes finished jobs for the last 7 days.
Parameters
| Name | Type | Description |
|---|---|---|
| config.from | string | The start of the requested timeframe for a remote configuration management job. You can use one of the following formats:
|
| config.to | string | The end of the requested timeframe for a remote configuration management job. You can use one of the following formats:
If not set, the current timestamp is used. |
Returns
| Return type | Status code | Description |
|---|---|---|
| RemoteConfigurationManagementJobList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { activeGatesRemoteConfigurationManagementClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesRemoteConfigurationManagementClient.getRemoteIdentityOperations();
validateRemoteIdentityOperation
Validates the payload for the POST /activeGates/remoteConfigurationManagement request.
Required scope: fleet-management:activegates:write One of the following permissions is required:
- environment:roles:viewer
- fleet-management:activegates:write
Parameters
| Name | Type |
|---|---|
| config.body*required | RemoteConfigurationManagementOperationActiveGateRequest |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| RemoteConfigurationManagementValidationResultError | Failed. The input is invalid. |
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { activeGatesRemoteConfigurationManagementClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await activeGatesRemoteConfigurationManagementClient.validateRemoteIdentityOperation(
{
body: {
entities: ["0x2b7c0b02,0x4928065d"],
operations: [
{ attribute: "networkZone", operation: "set" },
],
},
},
);
adaptiveTrafficManagementClient
import { adaptiveTrafficManagementClient } from '@dynatrace-sdk/client-classic-environment-v2';
getRootSpansPerMinute
Gets sampling configuration.
Required scope: adaptive-traffic-management:sampling-configuration:read
Returns
| Return type | Status code | Description |
|---|---|---|
| AdaptiveTrafficManagementDto | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { adaptiveTrafficManagementClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await adaptiveTrafficManagementClient.getRootSpansPerMinute();
attacksClient
import { attacksClient } from '@dynatrace-sdk/client-classic-environment-v2';
getAttack
Gets the specified attack
Required scope: environment-api:attacks:read One of the following permissions is required:
- environment:roles:manage-security-problems
- environment:roles:view-security-problems
Parameters
| Name | Type | Description |
|---|---|---|
| config.fields | string | A list of additional attack properties you can add to the response. The following properties are available (all other properties are always included and you can't remove them from the response):
To add properties, specify them in a comma-separated list and prefix each property with a plus (for example, |
| config.id*required | string | The ID of the attack. |
Returns
| Return type | Status code | Description |
|---|---|---|
| Attack | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { attacksClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await attacksClient.getAttack({ id: "..." });
getAttacks
Lists all attacks
Required scope: environment-api:attacks:read One of the following permissions is required:
- environment:roles:manage-security-problems
- environment:roles:view-security-problems
Parameters
| Name | Type | Description |
|---|---|---|
| config.attackSelector | string | Defines the scope of the query. Only attacks matching the specified criteria are included in the response. You can add one or more of the following criteria. Values are not case-sensitive and the
To set several criteria, separate them with a comma ( Specify the value of a criterion as a quoted string. The following special characters must be escaped with a tilde (
|
| config.fields | string | A list of additional attack properties you can add to the response. The following properties are available (all other properties are always included and you can't remove them from the response):
To add properties, specify them in a comma-separated list and prefix each property with a plus (for example, |
| config.from | string | The start of the requested timeframe. You can use one of the following formats:
If not set, the relative timeframe of thirty days is used ( |
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of attacks in a single response payload. The maximal allowed page size is 500. If not set, 100 is used. |
| config.sort | string | Specifies one or more fields for sorting the attack list. Multiple fields can be concatenated using a comma ( You can sort by the following properties with a sign prefix for the sorting order.
|
| config.to | string | The end of the requested timeframe. You can use one of the following formats:
If not set, the current timestamp is used. |
Returns
| Return type | Status code | Description |
|---|---|---|
| AttackList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { attacksClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await attacksClient.getAttacks();
auditLogsClient
import { auditLogsClient } from '@dynatrace-sdk/client-classic-environment-v2';
getLog
Gets the specified entry of the audit log | maturity=EARLY_ADOPTER
Required scope: environment-api:audit-logs:read Required permission: environment:roles:manage-settings
Parameters
| Name | Type | Description |
|---|---|---|
| config.id*required | string | The ID of the required log entry. |
Returns
| Return type | Status code | Description |
|---|---|---|
| AuditLogEntry | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. Invalid ID format. | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { auditLogsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await auditLogsClient.getLog({ id: "..." });
getLogs
Gets the audit log of your Dynatrace environment | maturity=EARLY_ADOPTER
Required scope: environment-api:audit-logs:read Required permission: environment:roles:manage-settings
You can limit the output by using pagination:
- Specify the number of results per page in the pageSize query parameter.
- Use the cursor from the nextPageKey field of the previous response in the nextPageKey query parameter to obtain subsequent pages.
Parameters
| Name | Type | Description |
|---|---|---|
| config.filter | string | Filters the audit log. You can use the following criteria:
For each criterion, you can specify multiple alternatives with comma-separated values. In this case, the OR logic applies. For example, You can specify multiple comma-separated criteria, such as Specify the value of a criterion as a quoted string. The following special characters must be escaped with a tilde (
|
| config.from | string | The start of the requested timeframe. You can use one of the following formats:
If not set, the relative timeframe of two weeks is used ( |
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of log entries in a single response payload. The maximal allowed page size is 5000. If not set, 1000 is used. |
| config.sort | string | The sorting of audit log entries:
If not set, the newest first sorting is applied. Default: -timestamp |
| config.to | string | The end of the requested timeframe. You can use one of the following formats:
If not set, the current timestamp is used. |
Returns
| Return type | Status code | Description |
|---|---|---|
| AuditLog | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { auditLogsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await auditLogsClient.getLogs();
businessEventsClient
import { businessEventsClient } from '@dynatrace-sdk/client-classic-environment-v2';
ingest
Ingests a business event
One of the following scopes is required:
- storage:events:write
- openpipeline:bizevents:ingest
The maximum payload size of a single request is 5 MiB. Requests with a greater payload are rejected, and the API returns a 413 response code.
The ingestion of business events is subject to licensing (see licensing documentation).
Parameters
| Name | Type |
|---|---|
| config.body*required | CloudEvent | Array<CloudEvent> | IngestBody |
| config.type*required | "application/cloudevent+json" | "application/cloudevents+json" | "application/cloudevent-batch+json" | "application/cloudevents-batch+json" | "application/json; charset=utf-8" |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 202 | The provided business events are all accepted and will be processed. |
Throws
| Error Type | Error Message |
|---|---|
| BizEventIngestResultError | Some business events are invalid. Valid business events are accepted and will be processed. | Content too large | Too many requests | Service is temporarily unavailable |
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { businessEventsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await businessEventsClient.ingest({
type: "application/cloudevent+json",
body: {
specversion: "1.0",
id: "1",
source: "custom.source",
type: "com.mycompany.shop.checkout",
dtcontext:
'dt.session_id="234234234324235345345",dt.entity.rum_application="APPLICATION-53453458340758",host.name="123.123.123.123"',
dataschema:
"http://dynatrace.com/schema/bizevents/generic/1.0",
traceparent:
"00-4bf92f3577b34da6a3ce929d0e0e4736-00f067aa0ba902b7-00",
data: {
id: "OR-838475",
paymentType: "paypal",
plannedDeliveryDate: "01.01.2021",
total: 234,
},
},
});
credentialVaultClient
import { credentialVaultClient } from '@dynatrace-sdk/client-classic-environment-v2';
createCredentials
Creates a new credentials set.
Required scope: environment-api:credentials:write Required permission: environment:roles:viewer
The body must not provide an ID. An ID is assigned automatically by the Dynatrace server.
Parameters
| Name | Type |
|---|---|
| config.body*required | Credentials |
Returns
| Return type | Status code | Description |
|---|---|---|
| CredentialsId | 201 | Success. The new credentials set has been created. The response contains the ID of the set. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { credentialVaultClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await credentialVaultClient.createCredentials({
body: {
name: "...",
scopes: ["APP_ENGINE"],
type: "AWS_MONITORING_KEY_BASED",
},
});
getCredentials
Gets the metadata of the specified credentials set.
Required scope: environment-api:credentials:read Required permission: environment:roles:viewer
The credentials set itself (e.g. username/certificate and password) is not included in the response.
Parameters
| Name | Type | Description |
|---|---|---|
| config.id*required | string | The Dynatrace entity ID of the required credentials set. |
Returns
| Return type | Status code | Description |
|---|---|---|
| CredentialsResponseElement | 200 | Success. The response contains the metadata of the credentials set. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { credentialVaultClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await credentialVaultClient.getCredentials({
id: "...",
});
getCredentialsDetails
Gets the details of the specified credentials set.
Required scope: environment-api:credentials:read Required permission: environment:roles:viewer
The credentials set including username/certificate, password or token is included in the response.
Parameters
| Name | Type | Description |
|---|---|---|
| config.id*required | string | The Dynatrace entity ID of the required credentials set. |
Returns
| Return type | Status code | Description |
|---|---|---|
| AbstractCredentialsResponseElement | 200 | Success. The response contains the details of the credentials set. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. E.g. Requested credentials with unsupported scope. Only APP_ENGINE scope is supported. | Failed. Requested credentials belong to another user. |
Code example
import { credentialVaultClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await credentialVaultClient.getCredentialsDetails({
id: "...",
});
getCredentialsDetailsList
Gets the details of the specified credentials sets.
The credentials set including username/certificate, password or token is included in the response.
Parameters
| Name | Type | Description |
|---|---|---|
| config.ids | string | The list of Dynatrace entity IDs of the required credentials sets (separated by commas). |
Returns
| Return type | Status code | Description |
|---|---|---|
| CredentialsDetailsList | 200 | Success. The response contains the details of the credentials sets. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. E.g. Requested credentials with unsupported scope. Only SYNTHETIC and APP_ENGINE scope are supported. | Failed. Requested credentials belong to another user. | Client side error. | Server side error. |
Code example
import { credentialVaultClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await credentialVaultClient.getCredentialsDetailsList();
listCredentials
Lists all sets of credentials in your environment.
Required scope: environment-api:credentials:read Required permission: environment:roles:viewer
The credentials set itself (username/certificate and password) is not included in the response.
Parameters
| Name | Type | Description |
|---|---|---|
| config.name | string | Filters the result by the name. When in quotation marks, whole phrase is taken. Case insensitive. |
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of credentials in a single response payload. The maximal allowed page size is 500. If not set, 100 is used. |
| config.scope | string | Filters credentials with specified scope. |
| config.type | "CERTIFICATE" | "TOKEN" | "USERNAME_PASSWORD" | "AWS_MONITORING_KEY_BASED" | "AWS_MONITORING_ROLE_BASED" | "SNMPV3" | Filters the result by the specified credentials type. |
| config.user | string | Filters credentials accessible to the user (owned by the user or the ones that are accessible for all). |
Returns
| Return type | Status code | Description |
|---|---|---|
| CredentialsList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { credentialVaultClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await credentialVaultClient.listCredentials();
removeCredentials
Deletes the specified credentials set
Required scope: environment-api:credentials:write Required permission: environment:roles:viewer
Provide credential ID in the path.
Parameters
| Name | Type | Description |
|---|---|---|
| config.id*required | string | The ID of the credentials set to be deleted. |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 204 | Success. The credentials set has been deleted. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { credentialVaultClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await credentialVaultClient.removeCredentials({
id: "...",
});
updateCredentials
Updates the specified credentials set.
Required scope: environment-api:credentials:write Required permission: environment:roles:viewer
The body must not provide an ID. The ID should be provided in the path.
Parameters
| Name | Type | Description |
|---|---|---|
| config.body*required | Credentials | |
| config.id*required | string | The Dynatrace entity ID of the credentials set to be updated. |
Returns
| Return type | Status code | Description |
|---|---|---|
| CredentialsId | 201 | Success. The new credentials set has been created. The response contains the ID of the set. |
| void | 204 | Success. The credentials set has been updated. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Client side error. | Server side error. |
Code example
import { credentialVaultClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await credentialVaultClient.updateCredentials({
id: "...",
body: {
name: "...",
scopes: ["APP_ENGINE"],
type: "AWS_MONITORING_KEY_BASED",
},
});
davisSecurityAdvisorClient
import { davisSecurityAdvisorClient } from '@dynatrace-sdk/client-classic-environment-v2';
getAdviceForSecurityProblems
Provides advice for security problems.
Required scope: environment-api:security-problems:read One of the following permissions is required:
- environment:roles:manage-security-problems
- environment:roles:view-security-problems
You can narrow down the output by providing the management zone and pagination. If you specify a management zone, only problems originating from that zone are included to the request.
Parameters
| Name | Type | Description |
|---|---|---|
| config.managementZoneFilter | string | To specify management zones, use one of the options listed below. For each option you can specify multiple comma-separated values. If several values are specified, the OR logic applies. All values are case-sensitive and must be quoted.
You can specify several comma-separated criteria (for example, |
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of security advices in a single response payload. The maximal allowed page size is 500. If not set, 5 is used. |
Returns
| Return type | Status code | Description |
|---|---|---|
| DavisSecurityAdviceList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { davisSecurityAdvisorClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await davisSecurityAdvisorClient.getAdviceForSecurityProblems();
eventsClient
import { eventsClient } from '@dynatrace-sdk/client-classic-environment-v2';
createEvent
Ingests a custom event
One of the following scopes is required:
- openpipeline:events.davis:ingest
- storage:events:write
- environment-api:events:write
One of the following permissions is required:
- environment:roles:viewer
- openpipeline:events.davis:ingest
The ingestion of custom events is subject to licensing (see licensing documentation).
Parameters
| Name | Type |
|---|---|
| config.body*required | EventIngest |
Returns
| Return type | Status code | Description |
|---|---|---|
| EventIngestResults | 201 | The event ingest request was received by the server. The response body indicates for each event whether its creation was successful. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { eventsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await eventsClient.createEvent({
body: { eventType: "AVAILABILITY_EVENT", title: "..." },
});
getEvent
Gets the properties of an event
Required scope: environment-api:events:read Required permission: environment:roles:viewer
Parameters
| Name | Type | Description |
|---|---|---|
| config.eventId*required | string | The ID of the required event. |
Returns
| Return type | Status code | Description |
|---|---|---|
| Event | 200 | Success. The response contains the configuration of the event. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { eventsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await eventsClient.getEvent({
eventId: "...",
});
getEventProperties
Lists all event properties
One of the following scopes is required:
- storage:events:read
- environment-api:events:read
One of the following permissions is required:
- environment:roles:viewer
- storage:events:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of event properties in a single response payload. The maximal allowed page size is 500. If not set, 100 is used. |
Returns
| Return type | Status code | Description |
|---|---|---|
| EventPropertiesList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { eventsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await eventsClient.getEventProperties();
getEventProperty
Gets the details of an event property
One of the following scopes is required:
- storage:events:read
- environment-api:events:read
One of the following permissions is required:
- environment:roles:viewer
- storage:events:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.propertyKey*required | string | The event property key you're inquiring. |
Returns
| Return type | Status code | Description |
|---|---|---|
| EventPropertyDetails | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { eventsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await eventsClient.getEventProperty({
propertyKey: "...",
});
getEventType
Gets the properties of an event type
One of the following scopes is required:
- storage:events:read
- environment-api:events:read
One of the following permissions is required:
- environment:roles:viewer
- storage:events:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.eventType*required | string | The event type you're inquiring. |
Returns
| Return type | Status code | Description |
|---|---|---|
| EventType | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { eventsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await eventsClient.getEventType({
eventType: "...",
});
getEventTypes
Lists all event types
One of the following scopes is required:
- storage:events:read
- environment-api:events:read
One of the following permissions is required:
- environment:roles:viewer
- storage:events:read
Parameters
| Name | Type | Description |
|---|---|---|
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of event types in a single response payload. The maximal allowed page size is 500. If not set, 100 is used. |
Returns
| Return type | Status code | Description |
|---|---|---|
| EventTypeList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { eventsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await eventsClient.getEventTypes();
getEvents
Lists events within the specified timeframe
Required scope: environment-api:events:read Required permission: environment:roles:viewer
Parameters
| Name | Type | Description |
|---|---|---|
| config.entitySelector | string | The entity scope of the query. You must set one of these criteria:
You can add one or more of the following criteria. Values are case-sensitive and the
For more information, see Entity selector in Dynatrace Documentation. To set several criteria, separate them with a comma ( The maximum string length is 2,000 characters. The number of entities that can be selected is limited to 10000. |
| config.eventSelector | string | Defines the scope of the query. Only events matching the specified criteria are included in the response. You can add one or several of the criteria listed below. For each criterion you can specify multiple comma-separated values, unless stated otherwise. If several values are specified, the OR logic applies.
To set several criteria, separate them with commas ( |
| config.from | string | The start of the requested timeframe. You can use one of the following formats:
If not set, the relative timeframe of two hours is used ( |
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of events in a single response payload. The maximal allowed page size is 1000. If not set, 100 is used. |
| config.to | string | The end of the requested timeframe. You can use one of the following formats:
If not set, the current timestamp is used. |
Returns
| Return type | Status code | Description |
|---|---|---|
| EventList | 200 | Success. The response contains the list of events. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { eventsClient } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await eventsClient.getEvents();
extensions_2_0Client
import { extensions_2_0Client } from '@dynatrace-sdk/client-classic-environment-v2';
activateExtensionEnvironmentConfiguration
⚠️ Deprecated
Activates the environment configuration from the specified version of the extension 2.0
Required scope: environment-api:extensions:write One of the following permissions is required:
- environment:roles:manage-settings
- extensions:definitions:write
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.body*required | ExtensionEnvironmentConfigurationVersion | |
| config.extensionName*required | string | The name of the requested extension 2.0. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ExtensionEnvironmentConfigurationVersion | 200 | Success. Environment configuration created. If the requested version was already active, this is an idempotent no-op (no backend state changes). |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await extensions_2_0Client.activateExtensionEnvironmentConfiguration(
{ extensionName: "...", body: { version: "1.2.3" } },
);
createMonitoringConfiguration
Creates new monitoring configuration for the specified extension 2.0
Required scope: environment-api:extension-configurations:write One of the following permissions is required:
- environment:roles:manage-settings
- extensions:configurations:write
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.body*required | Array<MonitoringConfigurationDto> | |
| config.extensionName*required | string | The name of the requested extension 2.0. |
Returns
| Return type | Status code | Description |
|---|---|---|
| MonitoringConfigurationResponse | 200 | Success |
| ErrorEnvelope | 207 | Multi-Status, if not all requests resulted in the same status |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeArrayError | Failed. The input is invalid. | Failed. The requested resource doesn't exist. |
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await extensions_2_0Client.createMonitoringConfiguration({
extensionName: "...",
body: [{ scope: "HOST-D3A3C5A146830A79" }],
});
Parameters
| Name | Type | Description |
|---|---|---|
| config.body*required | Array<MonitoringConfigurationDto> | |
| config.extensionName*required | string | The name of the requested extension 2.0. |
Returns
| Return type | Status code | Description |
|---|---|---|
| MonitoringConfigurationResponse | 200 | Success |
| ErrorEnvelope | 207 | Multi-Status, if not all requests resulted in the same status |
deleteEnvironmentConfiguration
⚠️ Deprecated
Deactivates the environment configuration of the specified extension 2.0
Required scope: environment-api:extensions:write One of the following permissions is required:
- environment:roles:manage-settings
- extensions:definitions:write
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.extensionName*required | string | The name of the requested extension 2.0. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ExtensionEnvironmentConfigurationVersion | 200 | Success. Environment configuration deactivated. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await extensions_2_0Client.deleteEnvironmentConfiguration(
{ extensionName: "..." },
);
executeExtensionMonitoringConfigurationActions
⚠️ Deprecated
Executes Data Source action of Active Gate or Host
Required scope: environment-api:extension-configuration-actions:write One of the following permissions is required:
- environment:roles:manage-settings
- extensions:configuration.actions:write
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.body*required | ExecuteActionsDto | |
| config.configurationId*required | string | The ID of the requested monitoring configuration. |
| config.extensionName*required | string | The name of the requested extension 2.0. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ExecuteActionsResponse | 202 | Accepted. Response doesn't have a body. |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Authentication failed | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await extensions_2_0Client.executeExtensionMonitoringConfigurationActions(
{
extensionName: "...",
configurationId: "...",
body: {},
},
);
extensionConfigurationSchema
⚠️ Deprecated
Gets the configuration schema of the specified version of the extension 2.0
One of the following scopes is required:
- environment-api:extensions:read
- environment-api:extension-configurations:read
One of the following permissions is required:
- environment:roles:manage-settings
- extensions:definitions:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.extensionName*required | string | The name of the requested extension 2.0. |
| config.extensionVersion*required | string | The version of the requested extension 2.0 Pattern: ^(0|[1-9]\d*)(\.(0|[1-9]\d*))?(\.(0|[1-9]\d*))? |
Returns
| Return type | Status code | Description |
|---|---|---|
| SchemaDefinitionRestDto | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await extensions_2_0Client.extensionConfigurationSchema({
extensionName: "...",
extensionVersion: "...",
});
extensionDetails
Gets details of the specified version of the extension 2.0
Required scope: environment-api:extensions:read One of the following permissions is required:
- environment:roles:manage-settings
- extensions:definitions:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.acceptType*required | "application/json; charset=utf-8" | |
| config.extensionName*required | string | The name of the requested extension 2.0. |
| config.extensionVersion*required | string | The version of the requested extension 2.0 Pattern: ^(0|[1-9]\d*)(\.(0|[1-9]\d*))?(\.(0|[1-9]\d*))? |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await extensions_2_0Client.extensionDetails({
acceptType: "application/json; charset=utf-8",
extensionName: "...",
extensionVersion: "...",
});
Parameters
| Name | Type | Description |
|---|---|---|
| config.acceptType*required | "application/octet-stream" | "application/yaml" | |
| config.extensionName*required | string | The name of the requested extension 2.0. |
| config.extensionVersion*required | string | The version of the requested extension 2.0 Pattern: ^(0|[1-9]\d*)(\.(0|[1-9]\d*))?(\.(0|[1-9]\d*))? |
Returns
| Return type | Status code | Description |
|---|---|---|
| void | 200 | Success |
extensionMonitoringConfigurations
⚠️ Deprecated
Lists all the monitoring configurations of the specified extension 2.0
Required scope: environment-api:extension-configurations:read One of the following permissions is required:
- environment:roles:manage-settings
- extensions:configurations:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.active | boolean | Filters the resulting set of configurations by the active state. |
| config.extensionName*required | string | The name of the requested extension 2.0. |
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of extensions in a single response payload. The maximal allowed page size is 100. If not set, 20 is used. |
| config.version | string | Filters the resulting set of configurations by extension 2.0 version. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ExtensionMonitoringConfigurationsList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await extensions_2_0Client.extensionMonitoringConfigurations(
{ extensionName: "..." },
);
getActiveEnvironmentConfiguration
⚠️ Deprecated
Gets the active environment configuration version of the specified extension 2.0
Required scope: environment-api:extensions:read One of the following permissions is required:
- environment:roles:manage-settings
- extensions:definitions:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.extensionName*required | string | The name of the requested extension 2.0. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ExtensionEnvironmentConfigurationVersion | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await extensions_2_0Client.getActiveEnvironmentConfiguration(
{ extensionName: "..." },
);
getActiveGateGroupsInfo
⚠️ Deprecated
List all activeGate groups available for extension
Required scope: environment-api:extension-configurations:write One of the following permissions is required:
- environment:roles:manage-settings
- extensions:configurations:write
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.extensionName*required | string | The name of the requested extension 2.0. |
| config.extensionVersion*required | string | The version of the requested extension 2.0 Pattern: ^(0|[1-9]\d*)(\.(0|[1-9]\d*))?(\.(0|[1-9]\d*))? |
Returns
| Return type | Status code | Description |
|---|---|---|
| ActiveGateGroupsInfoDto | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await extensions_2_0Client.getActiveGateGroupsInfo({
extensionName: "...",
extensionVersion: "...",
});
getAlertTemplate
⚠️ Deprecated
Gets an alert template asset for given ID
Required scope: environment-api:extensions:read One of the following permissions is required:
- environment:roles:manage-settings
- extensions:definitions:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.assetId*required | string | ID of the requested asset. |
| config.extensionName*required | string | The name of the requested extension 2.0. |
Returns
| Return type | Status code | Description |
|---|---|---|
| AlertTemplateDto | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await extensions_2_0Client.getAlertTemplate({
extensionName: "...",
assetId: "...",
});
getEnvironmentConfigurationAssetsInfo
⚠️ Deprecated
Gets the information about assets in an active extension 2.0
Required scope: environment-api:extensions:read One of the following permissions is required:
- environment:roles:manage-settings
- extensions:definitions:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.extensionName*required | string | The name of the requested extension 2.0. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ExtensionAssetsDto | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await extensions_2_0Client.getEnvironmentConfigurationAssetsInfo(
{ extensionName: "..." },
);
getExtensionMonitoringConfigurationStatus
⚠️ Deprecated
Gets the most recent status of the execution of given monitoring configuration
Required scope: environment-api:extension-configurations:read One of the following permissions is required:
- environment:roles:manage-settings
- extensions:configurations:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.configurationId*required | string | The ID of the requested monitoring configuration. |
| config.extensionName*required | string | The name of the requested extension 2.0. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ExtensionStatusDto | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await extensions_2_0Client.getExtensionMonitoringConfigurationStatus(
{ extensionName: "...", configurationId: "..." },
);
getExtensionStatus
⚠️ Deprecated
Gets the most recent status of the execution of monitoring configurations of given extension
Required scope: environment-api:extension-configurations:read One of the following permissions is required:
- environment:roles:manage-settings
- extensions:configurations:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.extensionName*required | string | The name of the requested extension 2.0. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ExtensionStatusWithIdDto | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await extensions_2_0Client.getExtensionStatus({
extensionName: "...",
});
getJmxProcess
⚠️ Deprecated
Retrieves details of a specified Java process discovered in the environment for JMX metric collection. | maturity=EARLY_ADOPTER
Required scope: extensions:discovery.jmx:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.hostId | string | Filters the resulting set of Java processes by the ID of the host they run on, in the form 'HOST-XXXXXXXXXXXXXXXX'. The exact match is required. |
| config.processId*required | string | Id of the Java process discovered in the environment. |
Returns
| Return type | Status code | Description |
|---|---|---|
| JavaProcessDetails | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. Agent data isn't yet available. Try again in a few seconds. | Failed. Agent communication timeout. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await extensions_2_0Client.getJmxProcess({
processId: "...",
});
getPmiProcess
⚠️ Deprecated
Retrieves details of a specified Java process discovered in the environment for PMI metric collection. | maturity=EARLY_ADOPTER
Required scope: extensions:discovery.pmi:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.hostId | string | Filters the resulting set of Java processes by the ID of the host they run on, in the form 'HOST-XXXXXXXXXXXXXXXX'. The exact match is required. |
| config.processId*required | string | Id of the Java process discovered in the environment. |
Returns
| Return type | Status code | Description |
|---|---|---|
| PmiProcessDetails | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. Agent data isn't yet available. Try again in a few seconds. | Failed. Agent communication timeout. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await extensions_2_0Client.getPmiProcess({
processId: "...",
});
getSchemaFile
⚠️ Deprecated
Gets the extension 2.0 schema file in the specified version
Required scope: environment-api:extensions:read One of the following permissions is required:
- environment:roles:manage-settings
- extensions:definitions:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.fileName*required | string | The name of the schema file. |
| config.schemaVersion*required | string | The version of the schema. Pattern: ^(0|[1-9]\d*)(\.(0|[1-9]\d*))?(\.(0|[1-9]\d*))? |
Returns
| Return type | Status code | Description |
|---|---|---|
| JsonNode | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await extensions_2_0Client.getSchemaFile({
schemaVersion: "...",
fileName: "...",
});
installExtension
⚠️ Deprecated
Installs Extension from HUB
Required scope: environment-api:extensions:write One of the following permissions is required:
- environment:roles:manage-settings
- extensions:definitions:write
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.extensionName*required | string | The name of the requested extension 2.0. |
| config.version | string | Filters the resulting set of configurations by extension 2.0 version. |
Returns
| Return type | Status code | Description |
|---|---|---|
| RegisteredExtensionResultDto | 200 | Success. The extension version is installed and active. If the requested version was already the active environment configuration, this is an idempotent no-op (no backend state changes). |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The input is invalid. | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data = await extensions_2_0Client.installExtension({
extensionName: "...",
});
listExtensionInfos
⚠️ Deprecated
Lists all the extensions 2.0 available in your environment with additional metadata
Required scope: environment-api:extensions:read One of the following permissions is required:
- environment:roles:manage-settings
- extensions:definitions:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.name | string | Filters the resulting set of extensions 2.0 by name. You can specify a partial name. In that case, the CONTAINS operator is used. |
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of extensions in a single response payload. The maximal allowed page size is 100. If not set, 20 is used. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ExtensionInfoList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await extensions_2_0Client.listExtensionInfos();
listExtensionVersions
⚠️ Deprecated
Lists all versions of the extension 2.0
Required scope: environment-api:extensions:read One of the following permissions is required:
- environment:roles:manage-settings
- extensions:definitions:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.extensionName*required | string | The name of the requested extension 2.0. |
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of extensions in a single response payload. The maximal allowed page size is 100. If not set, 20 is used. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ExtensionList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
| ErrorEnvelopeError | Failed. The requested resource doesn't exist. | Client side error. | Server side error. |
Code example
import { extensions_2_0Client } from "@dynatrace-sdk/client-classic-environment-v2";
const data =
await extensions_2_0Client.listExtensionVersions({
extensionName: "...",
});
listExtensions
⚠️ Deprecated
Lists all the extensions 2.0 available in your environment
Required scope: environment-api:extensions:read One of the following permissions is required:
- environment:roles:manage-settings
- extensions:definitions:read
Deprecated since version 1.342. Use the successor API /platform/extensions/v2 instead.
Parameters
| Name | Type | Description |
|---|---|---|
| config.name | string | Filters the resulting set of extensions 2.0 by name. You can specify a partial name. In that case, the CONTAINS operator is used. |
| config.nextPageKey | string | The cursor for the next page of results. You can find it in the nextPageKey field of the previous response. The first page is always returned if you don't specify the nextPageKey query parameter. When the nextPageKey is set to obtain subsequent pages, you must omit all other query parameters. |
| config.pageSize | number | The amount of extensions in a single response payload. The maximal allowed page size is 100. If not set, 20 is used. |
Returns
| Return type | Status code | Description |
|---|---|---|
| ExtensionList | 200 | Success |
Throws
| Error Type | Error Message |
|---|---|
[...]
